import request from '@/utils/request';
import type {LoginInfo, UserInfo} from "./model";

class UserAPI {
	static getUserList() {
		return request<any, UserInfo[]>({
			url: '/user/list',
			method: 'get'
		});
	}

	static login(info:LoginInfo) {
		return request<any, any>({
			url: '/user/login',
			method: 'post'
		});
	}
}

export default UserAPI;
